## Extensions to GObject Extensions to GObject — Miscelleanous extensions to the gdk-pixbuf library |

## Functions

gboolean | exo_g_value_transform_negate ()

## Includes

    #include <exo/exo.h>

## Description

This facility includes several functions to extend the basic functionality provided by the GObject library.

## Functions

### exo_g_value_transform_negate ()

    gboolean
    exo_g_value_transform_negate (const GValue *src_value,
                                  GValue *dst_value);

`exo_g_value_transform_negate` is deprecated and should not be used in newly-written code.

Applies boolean negation to `src_value` and stores the result in `dst_value` .

This function is mostly useful for binding boolean properties with inversing.

#### Parameters

src_value | A value convertible to gboolean. |
dst_value | A value which can be assigned a gboolean. |

#### Returns

`TRUE` on successful transformation.

## See Also

GObject Reference Manual